Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1511823 - [RFE] Automatically synchronize networks of cluster with default network provider
Summary: [RFE] Automatically synchronize networks of cluster with default network prov...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Backend.Core
Version: 4.2.0
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: ovirt-4.2.4
: ---
Assignee: Dominik Holler
QA Contact: Michael Burman
URL:
Whiteboard:
Depends On: 1539765 1543062 1568413
Blocks: 1548815
TreeView+ depends on / blocked
 
Reported: 2017-11-10 08:52 UTC by Dominik Holler
Modified: 2018-06-26 08:38 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
When you add an external network provider, a check box allows you to automatically synchronize your cluster networks with the networks imported from the default network provider. The networks are immediately available for the virtual machines.
Clone Of:
Environment:
Last Closed: 2018-06-26 08:38:14 UTC
oVirt Team: Network
rule-engine: ovirt-4.2+
mburman: testing_plan_complete+
ylavi: planning_ack+
danken: devel_ack+
mavital: testing_ack+


Attachments (Terms of Use)
Example to enable auto-synv on the REST-API via the oVirt python sdk (deleted)
2018-02-16 16:08 UTC, Dominik Holler
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 81849 master MERGED Add autoSync to OpenstackNetworkProvider 2017-11-14 07:20:19 UTC
oVirt gerrit 81850 master MERGED engine: Add service to synchronize external networks 2018-01-17 12:12:32 UTC
oVirt gerrit 84056 model_4.2 MERGED Add autoSync to OpenstackNetworkProvider 2017-11-14 07:20:36 UTC
oVirt gerrit 84155 master MERGED restapi: Update to model 4.2.25 and metamodel 1.2.13 2017-11-15 10:17:59 UTC
oVirt gerrit 84165 master MERGED Update to model 4.2.25 and metamodel 1.2.13 2017-11-15 11:23:20 UTC
oVirt gerrit 85134 master MERGED core: Add SyncNetworkProviderCommand 2018-01-17 12:12:29 UTC

Description Dominik Holler 2017-11-10 08:52:11 UTC
Add a boolean property to external network providers, which enables the automatic synchronization with all clusters that have that external provider as the default provider.

On import of a new network from the provider,
 - the networks of the external provider will be imported to every data center
   in the set of datacenters of the clusters that have that external provider
   as the default provider,
 - a vNIC profile will be created for every involved data center and network
   and
 - the networks will be assigned to every cluster that has that external
   provider as the default provider.
 - All users are allowed to use the new vNIC Profile.

Comment 1 Dominik Holler 2017-11-10 12:07:18 UTC
The default value of the new property is 'true', that means that the auto sync is enabled by default.

Comment 2 Red Hat Bugzilla Rules Engine 2017-11-22 09:02:23 UTC
The documentation text flag should only be set after 'doc text' field is provided. Please provide the documentation text and set the flag to '?' again.

Comment 3 Red Hat Bugzilla Rules Engine 2017-12-12 10:02:51 UTC
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.

Comment 5 Mor 2018-01-25 14:23:25 UTC
I am currently running RHV 4.2.1.3-0.1.el7, but I do not any checkbox for enabling it. I am running the latest RHV build (BUILD VERSION: 4.2.1-5 [TARGET MILESTONE: ovirt-4.2.1] [25-01-2018])

Comment 6 Dominik Holler 2018-01-25 15:45:09 UTC
Currently, the property is only available in rest-api and not available in webadmin. For backward compatibility, the property is set to 'disabled' by default in rest-api and webadmin. If you think the property should be available in webadmin, please create a bug with a proposed default value to track this.

Comment 7 Dominik Holler 2018-02-16 16:08:25 UTC
Created attachment 1397090 [details]
Example to enable auto-synv on the REST-API via the oVirt python sdk

Comment 8 Mor 2018-02-22 11:52:56 UTC
Hi Dominik,

The fix for the blocker bug: https://bugzilla.redhat.com/show_bug.cgi?id=1539765 is not merged yet on the current RHV version. Could you please change the status to MODIFIED?

Comment 9 Michael Burman 2018-05-29 05:42:54 UTC
Verified on - 4.2.4-0.1.el7

Comment 10 Sandro Bonazzola 2018-06-26 08:38:14 UTC
This bugzilla is included in oVirt 4.2.4 release, published on June 26th 2018.

Since the problem described in this bug report should be
resolved in oVirt 4.2.4 release, it has been closed with a resolution of CURRENT RELEASE.

If the solution does not work for you, please open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.